Probleme de mise à jour


#1

bonjour à tous,
Je suis novice dans le monde de linux,
J’ai une distribution sarge debian sur mon portable hp nx 6110.
Lors d’une mise à jour avec apt-get update, je rencontre le probleme suivant:
debian:/home/principegenial# apt-get upgrade
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Les paquets suivants seront mis à jour :
manpages-dev
1 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
145 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/1158ko dans les archives.
Après dépaquetage, 53,2ko d’espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ?
(Lecture de la base de données… 97497 fichiers et répertoires déjà installés.)
Préparation du remplacement de manpages-dev 2.23-1 (en utilisant …/manpages-de v_2.25-1_all.deb) …
Dépaquetage de la mise à jour de manpages-dev …
dpkg : erreur de traitement de /var/cache/apt/archives/manpages-dev_2.25-1_all.d eb (–unpack) :
tentative de remplacement de « /usr/share/man/man2/create_module.2.gz », qui ap partient aussi au paquet modutils
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l’exécution :
/var/cache/apt/archives/manpages-dev_2.25-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
debian:/home/principegenial#
Pourriez m’aider, qu’elle demarche je dois suivre pour résoudre ce problème .
Merci par avance de votre aide


#2

C’est un bug dans le paquet manpages-dev qui existe dans sid

Voir => bugs.debian.org/cgi-bin/bugreport.cgi?bug=360843


#3

par ailleurs, si tu fonctionnes encore en noyau 2.4, tu peux simplement passer en noyau 2.6, et supprimmer modutils, qui ne sert plus. Le module correspondant en 2.6 est module-init-tools, et il devrait s’installer de lui même avec le noyau 2.6 que tu auras choisi.


#4

re,
Au démarrage de mon systeme, j’ai kernel 2.6.14.3
J’ai fais un apt-get install module-init-tools et je me retrouve tjs avec le meme probleme sauf que cette fois-ci j’ai bcp moins de mise à jour à installer.
Que dois-je faire pour me débarrasser du message d’erreur en l’occurence c’est manpages-dev qui pose pbl.
debian:/home/principegenial# apt-get dist-upgrade
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Calcul de la mise à jour… Fait
Les paquets suivants seront mis à jour :
manpages-dev
1 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/1158ko dans les archives.
Après dépaquetage, 53,2ko d’espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ?
(Lecture de la base de données… 97497 fichiers et répertoires déjà installés.)
Préparation du remplacement de manpages-dev 2.23-1 (en utilisant …/manpages-de v_2.25-1_all.deb) …
Dépaquetage de la mise à jour de manpages-dev …
dpkg : erreur de traitement de /var/cache/apt/archives/manpages-dev_2.25-1_all.d eb (–unpack) :
tentative de remplacement de « /usr/share/man/man2/create_module.2.gz », qui ap partient aussi au paquet modutils
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l’exécution :
/var/cache/apt/archives/manpages-dev_2.25-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
debian:/home/principegenial#